<?php
/**
 * CRON de mise à jour des historiques pour les historisations actives
 *
 * @package    SPIP\RAINETTE
 */
if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * Ce CRON permet lancer la mise à jour des enregistrements pour les historisations actives avec CRON.
 *
 * @uses meteo_charger()
 *
 * @param int $last Timestamp de la date de dernier appel de la tâche.
 *
 * @return int Renvoie toujours la valeur 1
 */
function genie_rainette_histo_historiser_dist(int $last) : int {
	// Récupération des historisations
	include_spip('inc/config');
	$historisations = lire_config('rainette_historisations', []);

	// Chargement de la fonction d'acquisition de la méteo
	if ($charger = charger_fonction('meteo_charger', 'inc')) {
		foreach ($historisations as $_historisation) {
			// Seules les historisations actives avec CRON sont concernées
			if (
				$_historisation['active']
				and ($_historisation['via_job'] === 'on')
			) {
				// Inutile de récupérer le tableau de sortie car tout se passe dans le pipeline appelé en fin de chargement
				$charger(
					$_historisation['lieu_id'],
					$_historisation['mode'],
					0,
					$_historisation['service'],
					$_historisation['via_job']
				);
			}
		}
	}

	return 1;
}
